Loading...
Searching...
No Matches
Equatorial coordinates and systems

Expressing coordinates in the equatorial coordinate systems of choice, such as ICRS/GCRS, J2000, B1950, Mean of Date (MOD), True-of-Date (TOD), or CIRS of date. More...

## Classes

class | supernovas::Equatorial
| Equatorial coordinates (RA, Dec / α, δ), representing the direction on the sky, for a particular type of equatorial coordinate reference system, relative to the equator and equatorial origin (such as the Vernal Equinox or CIO) in that system. More...
class | supernovas::Equinox
| An inertial equatorial coordinate system, defined by the orientation of the equator and its origin (such as the Vernal Equinox or else the Celestial Intermediate Origin), relative to which the right ascension and declination (RA/Dec) coordinates are measured. More...

## Enumerations

enum | novas_reference_system { NOVAS_GCRS = 0 , NOVAS_TOD , NOVAS_CIRS , NOVAS_ICRS , NOVAS_J2000 , NOVAS_MOD , NOVAS_TIRS , NOVAS_ITRS }
| The basic types of positional coordinate reference systems supported by SuperNOVAS. More...

## Functions

Equatorial | supernovas::Apparent::cirs () const
| Returns the apparent equatorial coordinates on the sky, in the Celestial Intermediate Reference System (CIRS).
Equatorial | supernovas::Apparent::equatorial () const
| Returns the apparent equatorial coordinates on the sky, with respect to the true equator and equinox of date (True-of-Date; TOD).
Equatorial | supernovas::Geometric::equatorial () const
| Returns the geometric equatorial coordinates, in the system in which the geometric positions and velocities were defined.
Equatorial | supernovas::AstrometricPosition::to_equatorial () const
| Returns the equatorial coordinates place of this position, as would be seen by a stationary (relative to the SSB) observer located at the reference place.
Equatorial | supernovas::Ecliptic::to_equatorial (enum novas_accuracy accuracy=NOVAS_FULL_ACCURACY) const
| Converts these ecliptic coordinates to equivalent equatorial coordinates.
Equatorial | supernovas::Galactic::to_equatorial () const
| Converts these galactic coordinates to equivalent ICRS equatorial coordinates.

## Detailed Description

Expressing coordinates in the equatorial coordinate systems of choice, such as ICRS/GCRS, J2000, B1950, Mean of Date (MOD), True-of-Date (TOD), or CIRS of date.

## Enumeration Type Documentation

## novas_reference_system

enum novas_reference_system

The basic types of positional coordinate reference systems supported by SuperNOVAS.

These determine only the type of equator and origin to use without specifying an actual realization for a specific time. These constants also do not imply an observer location, nor Cartresian place of origin for xyz coordinates. As such they cannot, by themselves, reference specific coordinates or velocities. Rather, positions and velocities are typically referenced to an Observing frame.

See also
  novas_frame, NOVAS_REFERENCE_SYSTEMS
  novas_sky_pos(), novas_geom_posvel(), novas_geom_to_app(), novas_app_to_geom(), novas_app_to_hor(), novas_hor_to_app(), novas_make_transform()

Enumerator
NOVAS_GCRS | Geocentric Celestial Reference system. Essentially the same as ICRS but includes aberration and gravitational deflection for an observer around Earth.
NOVAS_TOD | True equinox Of Date: dynamical system of the 'true' equator, with its origin at the 'true' equinox (pre IAU 2006 system).
NOVAS_CIRS | Celestial Intermediate Reference System: dynamical system of the true equator, with its origin at the CIO (preferred since IAU 2006).
NOVAS_ICRS | International Celestial Reference system. The equatorial system fixed to the frame of distant quasars.

NOVAS_J2000

The J2000 dynamical reference system.

Since
  1.1

NOVAS_MOD

Mean of date: dynamical system of the 'mean' equator, with its origin at the 'mean' equinox (pre IAU 2006 system).

It includes precession (Lieske et. al. 1977), but not nutation. For example, FK4 or B1950 are MOD coordinate systems.

Since
  1.1

NOVAS_TIRS

Terrestrial Intermediate Reference System.

It is the IAU 2006 standard pseudo Earth-fixed (PEF) coordinate system, which co-rotates with Earth, but does not include Earth polar wobble corrections.

Since
  1.4

NOVAS_ITRS

International Terrestrial Reference System.

This is the IAU 2006 Earth-fixed reference system, and includes small measured corrections for the unmodelled polar motion, as published by the IERS Bulletins.

Since
  1.4

## Function Documentation

## cirs()

Equatorial supernovas::Apparent::cirs | ( |  | ) | const

Returns the apparent equatorial coordinates on the sky, in the Celestial Intermediate Reference System (CIRS).

CIRS is defined on the true equator of date, but its origin is the Celestial Intermediate Origin (CIO), not the true equinox of date.

Returns
  the CIRS equatorial coordinates in the observing frame.

Since
  1.6

See also
  equatorial(), ecliptic(), galactic(), to_horizontal()

References cirs(), supernovas::Equinox::cirs(), supernovas::Unit::deg, supernovas::Unit::hour_angle, and supernovas::Validating::is_valid().

Referenced by cirs().

## equatorial() [1/2]

Equatorial supernovas::Apparent::equatorial | ( |  | ) | const

Returns the apparent equatorial coordinates on the sky, with respect to the true equator and equinox of date (True-of-Date; TOD).

Returns
  True-of-date (TOD) equatorial coordinates in the observing frame.

Since
  1.6

See also
  cirs(), ecliptic(), galactic(), to_horizontal()

References supernovas::Unit::deg, equatorial(), supernovas::Unit::hour_angle, supernovas::Validating::is_valid(), and supernovas::Equinox::tod().

Referenced by ecliptic(), equatorial(), galactic(), supernovas::Observer::to_interferometric(), and to_string().

## equatorial() [2/2]

Equatorial supernovas::Geometric::equatorial | ( |  | ) | const

Returns the geometric equatorial coordinates, in the system in which the geometric positions and velocities were defined.

Note, that these coordinates are physical, and not what an observer would perceive at the time of observation, because:

- they are not corrected for aberration for a moving observer.
- they do not account for gravitational bending around massive Solar-system bodies, as light travels to the observer.

If you are interested in observable equatorial coordinates, see Apparent::equatorial() instead.

Returns
  geometric equatorial coordinates.

Since
  1.6

See also
  Apparent::equatorial(), ecliptic(), galactic(), position(), velocity()

References supernovas::Equinox::from_system_type(), and supernovas::Validating::is_valid().

Referenced by ecliptic(), and galactic().

## to_equatorial() [1/3]

Equatorial supernovas::AstrometricPosition::to_equatorial | ( |  | ) | const

Returns the equatorial coordinates place of this position, as would be seen by a stationary (relative to the SSB) observer located at the reference place.

Returns
  the nominal equatorial place of this position, in the reference system in which this position was defined, at the time it is observed at the reference position in the solar-system. It does not contain aberration corrections for a moving observer, nor gravitational deflection around the major Solar-system bodies. Both of those are included in Apparent places instead.

Since
  1.6

See also
  Apparent::equatorial()

References supernovas::Vector::_array(), supernovas::Unit::deg, supernovas::Equinox::from_system_type(), supernovas::Unit::hour_angle, supernovas::Validating::is_valid(), obs_time(), and vector2radec().

## to_equatorial() [2/3]

Equatorial supernovas::Ecliptic::to_equatorial | ( | enum novas_accuracy | accuracy = NOVAS_FULL_ACCURACY | ) | const

Converts these ecliptic coordinates to equivalent equatorial coordinates.

Parameters

  accuracy | (optional) NOVAS_FULL_ACCURACY (default) or NOVAS_REDUCED_ACCURACY.

Returns
  the equivalent equatorial coordinates for the same place on sky, with respect to the same equator and equinox of date as these ecliptic coordinates.

Since
  1.6

See also
  Equatorial::to_ecliptic(), to_galactic()

References supernovas::Unit::deg, ecl2equ(), supernovas::Unit::hour_angle, supernovas::Validating::is_valid(), supernovas::Spherical::latitude(), supernovas::Spherical::longitude(), system(), and supernovas::Equatorial::undefined().

Referenced by to_galactic(), to_icrs(), to_j2000(), to_mod(), to_system(), and to_tod().

## to_equatorial() [3/3]

Equatorial supernovas::Galactic::to_equatorial | ( |  | ) | const

Converts these galactic coordinates to equivalent ICRS equatorial coordinates.

Returns
  the equivalent ICRS equatorial coordinates.

Since
  1.6

See also
  Equatorial::to_galactic(), to_ecliptic()

References supernovas::Unit::deg, gal2equ(), supernovas::Unit::hour_angle, supernovas::Equinox::icrs(), supernovas::Validating::is_valid(), supernovas::Spherical::latitude(), supernovas::Spherical::longitude(), and supernovas::Equatorial::undefined().

Referenced by to_ecliptic().